---
title: last
slug: Web/XPath/Functions/last
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>last</code> function returns a number equal to the context size from the expression evaluation context.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">last()
</pre>

<h3 id="Returns">Returns</h3>

<p>An integer equal to the context size from the expression evaluation context.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>This is often used with the <a href="en/XPath/Functions/position"> position()</a> function to determine if a particular node is the last in a node-set.</li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-last">XPath 1.0 4.1</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
